PLplot: plbox.c File Reference

PLplot 5.15.0

Macros | Functions | Variables
plbox.c File Reference
`#include "plplotP.h"`

Go to the source code of this file.

## Macros
#define | STRING_LEN 40
#define | FORMAT_LEN 10
#define | TEMP_LEN 30
#define | N_EDGE_SEGMENTS 50

## Functions
static void | plxybx (PLCHAR_VECTOR opt, PLCHAR_VECTOR label, PLINT axis, PLFLT wx1, PLFLT wy1, PLFLT wx2, PLFLT wy2, PLFLT vmin, PLFLT vmax, PLFLT tick, PLINT nsub, PLINT nolast, PLINT *digits)
static void | plzbx (PLCHAR_VECTOR opt, PLCHAR_VECTOR label, PLINT right, PLFLT dx, PLFLT dy, PLFLT wx, PLFLT wy1, PLFLT wy2, PLFLT vmin, PLFLT vmax, PLFLT tick, PLINT nsub, PLINT *digits)
static void | plxytx (PLFLT wx1, PLFLT wy1, PLFLT wx2, PLFLT wy2, PLFLT disp, PLFLT pos, PLFLT just, PLCHAR_VECTOR text)
static void | plztx (PLCHAR_VECTOR opt, PLFLT dx, PLFLT dy, PLFLT wx, PLFLT wy1, PLFLT wy2, PLFLT disp, PLFLT pos, PLFLT just, PLCHAR_VECTOR text)
static void | plform (PLINT axis, PLFLT value, PLINT scale, PLINT prec, char *result, PLINT len, PLBOOL ll, PLBOOL lf, PLBOOL lo)
static void | grid_box (PLCHAR_VECTOR xopt, PLFLT xtick1, PLINT nxsub1, PLCHAR_VECTOR yopt, PLFLT ytick1, PLINT nysub1)
static void | label_box (PLCHAR_VECTOR xopt, PLFLT xtick1, PLCHAR_VECTOR yopt, PLFLT ytick1)
static void | plP_default_label_log (PLINT axis, PLFLT value, char *string, PLINT len, void *data)
static void | plP_default_label_log_fixed (PLINT axis, PLFLT value, char *string, PLINT len, void *data)
static void | plP_default_label (PLINT axis, PLFLT value, char *string, PLINT len, void *data)
static PLCHAR_VECTOR | plgesc_string (void)
void | c_plbox (PLCHAR_VECTOR xopt, PLFLT xtick, PLINT nxsub, PLCHAR_VECTOR yopt, PLFLT ytick, PLINT nysub)
void | c_plaxes (PLFLT x0, PLFLT y0, PLCHAR_VECTOR xopt, PLFLT xtick, PLINT nxsub, PLCHAR_VECTOR yopt, PLFLT ytick, PLINT nysub)
void | c_plbox3 (PLCHAR_VECTOR xopt, PLCHAR_VECTOR xlabel, PLFLT xtick, PLINT nxsub, PLCHAR_VECTOR yopt, PLCHAR_VECTOR ylabel, PLFLT ytick, PLINT nysub, PLCHAR_VECTOR zopt, PLCHAR_VECTOR zlabel, PLFLT ztick, PLINT nzsub)
static void | plxybx (PLCHAR_VECTOR opt, PLCHAR_VECTOR label, PLINT axis, PLFLT wx1, PLFLT wy1, PLFLT wx2, PLFLT wy2, PLFLT vmin_in, PLFLT vmax_in, PLFLT tick, PLINT nsub, PLINT PL_UNUSED(nolast), PLINT *digits)
void | label_box_custom (PLCHAR_VECTOR xopt, PLINT n_xticks, PLFLT_VECTOR xticks, PLCHAR_VECTOR yopt, PLINT n_yticks, PLFLT_VECTOR yticks)
void | plP_default_label_log (PLINT PL_UNUSED(axis), PLFLT value, char *string, PLINT len, void *PL_UNUSED(data))
void | plP_default_label_log_fixed (PLINT PL_UNUSED(axis), PLFLT value, char *string, PLINT len, void *PL_UNUSED(data))
void | plP_default_label (PLINT PL_UNUSED(axis), PLFLT value, char *string, PLINT len, void *data)
void | c_plslabelfunc (PLLABEL_FUNC_callback label_func, PLPointer label_data)

## Variables
static PLFLT | xlog [8]

## Macro Definition Documentation

## ◆ FORMAT_LEN

#define FORMAT_LEN 10

Definition at line 26 of file plbox.c.

## ◆ N_EDGE_SEGMENTS

#define N_EDGE_SEGMENTS 50

Definition at line 28 of file plbox.c.

## ◆ STRING_LEN

#define STRING_LEN 40

Definition at line 25 of file plbox.c.

## ◆ TEMP_LEN

#define TEMP_LEN 30

Definition at line 27 of file plbox.c.

## Function Documentation

## ◆ c_plaxes()

void c_plaxes | ( | PLFLT | x0,
|  | PLFLT | y0,
|  | PLCHAR_VECTOR | xopt,
|  | PLFLT | xtick,
|  | PLINT | nxsub,
|  | PLCHAR_VECTOR | yopt,
|  | PLFLT | ytick,
|  | PLINT | nysub
| ) |  |

Definition at line 135 of file plbox.c.

## ◆ c_plbox()

void c_plbox | ( | PLCHAR_VECTOR | xopt,
|  | PLFLT | xtick,
|  | PLINT | nxsub,
|  | PLCHAR_VECTOR | yopt,
|  | PLFLT | ytick,
|  | PLINT | nysub
| ) |  |

Definition at line 89 of file plbox.c.

## ◆ c_plbox3()

void c_plbox3 | ( | PLCHAR_VECTOR | xopt,
|  | PLCHAR_VECTOR | xlabel,
|  | PLFLT | xtick,
|  | PLINT | nxsub,
|  | PLCHAR_VECTOR | yopt,
|  | PLCHAR_VECTOR | ylabel,
|  | PLFLT | ytick,
|  | PLINT | nysub,
|  | PLCHAR_VECTOR | zopt,
|  | PLCHAR_VECTOR | zlabel,
|  | PLFLT | ztick,
|  | PLINT | nzsub
| ) |  |

Definition at line 593 of file plbox.c.

## ◆ c_plslabelfunc()

void c_plslabelfunc | ( | PLLABEL_FUNC_callback | label_func,
|  | PLPointer | label_data
| ) |  |

Definition at line 2645 of file plbox.c.

## ◆ grid_box()

static void grid_box | ( | PLCHAR_VECTOR | xopt,
|  | PLFLT | xtick1,
|  | PLINT | nxsub1,
|  | PLCHAR_VECTOR | yopt,
|  | PLFLT | ytick1,
|  | PLINT | nysub1
| ) |  |
| static

Definition at line 1301 of file plbox.c.

## ◆ label_box()

static void label_box | ( | PLCHAR_VECTOR | xopt,
|  | PLFLT | xtick1,
|  | PLCHAR_VECTOR | yopt,
|  | PLFLT | ytick1
| ) |  |
| static

Definition at line 1432 of file plbox.c.

## ◆ label_box_custom()

void label_box_custom | ( | PLCHAR_VECTOR | xopt,
|  | PLINT | n_xticks,
|  | PLFLT_VECTOR | xticks,
|  | PLCHAR_VECTOR | yopt,
|  | PLINT | n_yticks,
|  | PLFLT_VECTOR | yticks
| ) |  |

Definition at line 1925 of file plbox.c.

## ◆ plform()

static void plform | ( | PLINT | axis,
|  | PLFLT | value,
|  | PLINT | scale,
|  | PLINT | prec,
|  | char * | result,
|  | PLINT | len,
|  | PLBOOL | ll,
|  | PLBOOL | lf,
|  | PLBOOL | lo
| ) |  |
| static

Definition at line 2583 of file plbox.c.

## ◆ plgesc_string()

static PLCHAR_VECTOR plgesc_string | ( | void |  | ) |
| static

Definition at line 2652 of file plbox.c.

## ◆ plP_default_label() [1/2]

static void plP_default_label | ( | PLINT | axis,
|  | PLFLT | value,
|  | char * | string,
|  | PLINT | len,
|  | void * | data
| ) |  |
| static

## ◆ plP_default_label() [2/2]

void plP_default_label | ( | PLINT | PL_UNUSEDaxis,
|  | PLFLT | value,
|  | char * | string,
|  | PLINT | len,
|  | void * | data
| ) |  |

Definition at line 2527 of file plbox.c.

## ◆ plP_default_label_log() [1/2]

static void plP_default_label_log | ( | PLINT | axis,
|  | PLFLT | value,
|  | char * | string,
|  | PLINT | len,
|  | void * | data
| ) |  |
| static

## ◆ plP_default_label_log() [2/2]

void plP_default_label_log | ( | PLINT | PL_UNUSEDaxis,
|  | PLFLT | value,
|  | char * | string,
|  | PLINT | len,
|  | void * | PL_UNUSEDdata
| ) |  |

Definition at line 2501 of file plbox.c.

## ◆ plP_default_label_log_fixed() [1/2]

static void plP_default_label_log_fixed | ( | PLINT | axis,
|  | PLFLT | value,
|  | char * | string,
|  | PLINT | len,
|  | void * | data
| ) |  |
| static

## ◆ plP_default_label_log_fixed() [2/2]

void plP_default_label_log_fixed | ( | PLINT | PL_UNUSEDaxis,
|  | PLFLT | value,
|  | char * | string,
|  | PLINT | len,
|  | void * | PL_UNUSEDdata
| ) |  |

Definition at line 2508 of file plbox.c.

## ◆ plxybx() [1/2]

static void plxybx | ( | PLCHAR_VECTOR | opt,
|  | PLCHAR_VECTOR | label,
|  | PLINT | axis,
|  | PLFLT | wx1,
|  | PLFLT | wy1,
|  | PLFLT | wx2,
|  | PLFLT | wy2,
|  | PLFLT | vmin,
|  | PLFLT | vmax,
|  | PLFLT | tick,
|  | PLINT | nsub,
|  | PLINT | nolast,
|  | PLINT * | digits
| ) |  |
| static

## ◆ plxybx() [2/2]

static void plxybx | ( | PLCHAR_VECTOR | opt,
|  | PLCHAR_VECTOR | label,
|  | PLINT | axis,
|  | PLFLT | wx1,
|  | PLFLT | wy1,
|  | PLFLT | wx2,
|  | PLFLT | wy2,
|  | PLFLT | vmin_in,
|  | PLFLT | vmax_in,
|  | PLFLT | tick,
|  | PLINT | nsub,
|  | PLINT | PL_UNUSEDnolast,
|  | PLINT * | digits
| ) |  |
| static

Definition at line 785 of file plbox.c.

## ◆ plxytx()

static void plxytx | ( | PLFLT | wx1,
|  | PLFLT | wy1,
|  | PLFLT | wx2,
|  | PLFLT | wy2,
|  | PLFLT | disp,
|  | PLFLT | pos,
|  | PLFLT | just,
|  | PLCHAR_VECTOR | text
| ) |  |
| static

Definition at line 963 of file plbox.c.

## ◆ plzbx()

static void plzbx | ( | PLCHAR_VECTOR | opt,
|  | PLCHAR_VECTOR | label,
|  | PLINT | right,
|  | PLFLT | dx,
|  | PLFLT | dy,
|  | PLFLT | wx,
|  | PLFLT | wy1,
|  | PLFLT | wy2,
|  | PLFLT | vmin,
|  | PLFLT | vmax,
|  | PLFLT | tick,
|  | PLINT | nsub,
|  | PLINT * | digits
| ) |  |
| static

Definition at line 1035 of file plbox.c.

## ◆ plztx()

static void plztx | ( | PLCHAR_VECTOR | opt,
|  | PLFLT | dx,
|  | PLFLT | dy,
|  | PLFLT | wx,
|  | PLFLT | wy1,
|  | PLFLT | wy2,
|  | PLFLT | disp,
|  | PLFLT | pos,
|  | PLFLT | just,
|  | PLCHAR_VECTOR | text
| ) |  |
| static

Definition at line 1232 of file plbox.c.

## Variable Documentation

## ◆ xlog

PLFLT xlog[8]
| static

Initial value:
=
{
0.301030, 0.477121, 0.602060, 0.698970,
0.778151, 0.845098, 0.903090, 0.954243
}

Definition at line 30 of file plbox.c.